package net.wanji.opt.dao.mapper;

import net.wanji.opt.po.base.CrossSchemePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * @author hfx
 * @date 2023/1/17 14:49
 * @desc CrossSchemeMapper
 */
@Repository
public interface CrossSchemeMapper {

    /**
     * 查询方案基础信息列表
     * @param crossId
     * @return
     */
    List<CrossSchemePO> listCrossSchemeInfo(@Param("crossId") String crossId, @Param("schemeNo")String schemeNo, @Param("id")Integer id);

    void insertBatch(@Param("entities") List<CrossSchemePO> entities);

    Integer selectIdByCrossIdAndSchemeNo(@Param("crossId") String crossId, @Param("schemeNo") String schemeNo);

    void updateCoordPhase(@Param("crossId") String crossId,
                          @Param("schemeNo") String schemeNo,
                          @Param("phaseId") Integer phaseId);

    List<CrossSchemePO> selectByCrossId(@Param("crossId") String crossId);

    Integer selectIdByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                           @Param("schemeName") String schemeName);

    CrossSchemePO selectByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                               @Param("schemeName") String schemeName);

    CrossSchemePO selectById(@Param("id") Integer id);

    void insertOne(CrossSchemePO crossSchemePO);

    void update(CrossSchemePO crossSchemePO);

    Set<Integer> selectIdsByCrossId(String crossId);

    void deleteByIds(Set<Integer> existedIds);

    void resetStatus(String crossId);

    void updateStatus(Integer schemeId);

    CrossSchemePO selectByCrossIdAndSchemeNo(String crossId, String schemeNo);
}
