package net.wanji.opt.po.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hfx
 * @date 2023/1/12 13:35
 * @desc 路口方向基础信息
 */
@Data
public class CrossDirInfoPO {

    /** 路口方向ID（路口ID_方向_进出口_主辅路序号） */
    @ApiModelProperty(name = "路口方向ID（路口ID_方向_进出口_主辅路序号）",notes = "")
    private String id ;
    /** 路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dirType ;
    /** 进出口类型：1进口；2出口 */
    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    private Integer inOutType ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 路段长度 */
    @ApiModelProperty(name = "路段长度",notes = "")
    private Double length ;
    /** 是否有行人过街：0否；1是 */
    @ApiModelProperty(name = "是否有行人过街：0否；1是",notes = "")
    private Integer isPedestrian ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;

}
