package net.wanji.opt.service;

import net.wanji.common.dto.CrossIdDTO;
import net.wanji.opt.dto.CrossIdAndDirDTO;
import net.wanji.opt.dto.CrossIdAndSchemeIdDTO;
import net.wanji.opt.dto.SendManualDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateSceneDTO;
import net.wanji.opt.vo.CrossIdAndLocationVO;
import net.wanji.opt.vo.OptEffectVO;
import net.wanji.opt.vo.SchemeOptVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/3/2 10:09
 */
public interface DiagnoService {
    AddOrUpdateSceneDTO queryCrossScene(CrossIdDTO crossIdDTO);

    List<CrossIdAndLocationVO> queryNeighborCross(CrossIdDTO crossIdDTO);

    SchemeOptVO querySchemeOpt(CrossIdDTO crossIdDTO);

    List<SchemeOptVO.PhaseOptTime> queryOptTime(CrossIdAndSchemeIdDTO crossIdAndSchemeIdDTO);

    void sendManual(SendManualDTO sendManualDTO) throws Exception;

    void restoreSend(CrossIdDTO crossIdDTO) throws Exception;

    OptEffectVO optEffect(CrossIdAndDirDTO crossIdAndDirDTO);
}
