package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "EvaluateCrossDetailVO", description = "信号评价路口详情")
public class EvaluateCrossDetailVO {
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "当前场景")
    private String sceneName;
    @ApiModelProperty(value = "优化策略")
    private String strategyName;
    @ApiModelProperty(value = "优化方法")
    private String ideaName;
    @ApiModelProperty(value = "场景开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date sceneStartTime;
    @ApiModelProperty(value = "持续时间（单位：分钟）")
    private Integer duration;
    @ApiModelProperty(value = "优化开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date optStartTime;
    @ApiModelProperty(value = "优化状态 1已完成 2持续优化")
    Integer optStatus;
    @ApiModelProperty(value = "服务水平")
    String serviceLevel;
    @ApiModelProperty(value = "路口流量")
    private Integer flow ;
    @ApiModelProperty(value = "排队长度")
    private Double length;
    @ApiModelProperty(value = "停车次数（次）")
    private Double stopTimes;
}
